import { QueryObject } from 'json2mq';
import { FineMediaQueries, MatchingAliases, MediaQueryAliases, MediaQueryMatcherHandler, MediaQueryMatchListener, MediaQueryObject, MediaQueryToMatch, Mq } from './types';
export { aliases2mq, json2mq } from './helpers';
export declare const getMediaQueryString: (mq: Mq, aliasOrMediaQuery: string) => MediaQueryToMatch;
export declare const getAliasesForMediaQuery: (mq: Mq, mediaQuery: string) => string[];
export declare const getMatchListener: (mq: Mq, aliasOrMediaQuery: string) => MediaQueryMatchListener;
export declare const setMatchingAliases: (mq: Mq, matchingAliases?: MatchingAliases) => MatchingAliases;
export declare const createNewMediaQueryMatchListener: (mq: Mq, aliasOrMediaQuery: string, callback: MediaQueryMatcherHandler) => MediaQueryMatchListener;
export declare const removeMediaQueryMatchListener: (mq: Mq, aliasOrMediaQuery: string) => void;
export declare const on: (mq: Mq, aliasOrMediaQuery: string, callback: MediaQueryMatcherHandler) => void;
export declare const off: (mq: Mq, aliasOrMediaQuery?: string | undefined, callback?: MediaQueryMatcherHandler | undefined) => void;
export declare const addAlias: (mq: Mq, alias: string | {
    [key: string]: MediaQueryObject;
}, mediaQuery?: string | number | QueryObject | [number, (number | undefined)?] | undefined) => void;
export declare const removeAlias: (mq: Mq, alias: string) => void;
export declare const createFineMediaQueries: (aliases?: {
    [key: string]: MediaQueryObject;
}, defaultMatchedMq?: MatchingAliases) => FineMediaQueries;
export declare const FineMqPlugin: {
    install(app: any, options?: {
        aliases?: MediaQueryAliases;
        defaultMatchingAliases?: MatchingAliases;
    }): void;
};
